AppController (VRE Manager Portlet 3.0.0-SNAPSHOT API)
Date: 2013-10-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.admin.vredeployment.client
Class AppController

    java.lang.Object
      org.gcube.portlets.admin.vredeployment.client.AppController

All Implemented Interfaces:
  com.google.gwt.event.logical.shared.ValueChangeHandler<String>, com.google.gwt.event.shared.EventHandler, Presenter

    public class AppController

extends Object
implements Presenter, com.google.gwt.event.logical.shared.ValueChangeHandler<String>

Version:
  May 2011 (0.1) This AppController contains the view transition logic, to handle logic that is not specific to any presenter and instead resides at the application layer
Author:
  Massimiliano Assante, ISTI-CNR - massimiliano.assante@isti.cnr.it

Constructor Summary
`AppController(VREDeploymentServiceAsync rpcService, com.google.gwt.event.shared.HandlerManager eventBus)`

Method Summary
`void` | `go(com.google.gwt.user.client.ui.HasWidgets container)`
`void` | `onValueChange(com.google.gwt.event.logical.shared.ValueChangeEvent<String> event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AppController

    public AppController(VREDeploymentServiceAsync rpcService,
                         com.google.gwt.event.shared.HandlerManager eventBus)

Method Detail

### go

    public void go(com.google.gwt.user.client.ui.HasWidgets container)

  Specified by:
    `go` in interface `Presenter`

### onValueChange

    public void onValueChange(com.google.gwt.event.logical.shared.ValueChangeEvent<String> event)

  Specified by:
    `onValueChange` in interface `com.google.gwt.event.logical.shared.ValueChangeHandler<String>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.